function onBegin()

	disablePause()

	local luaCutscenesUtils = require("#ExtendedVariants.Module.LuaCutscenesUtils")

	player.ForceCameraUpdate = true
	disableMovement()
	setFlag("Deactivator", true)
	setFlag("GodModeIntro", true)
	wait(6.3)
	playSound("event:/game/06_reflection/boss_spikes_burst")
	wait(0.1)
	setFlag("GodModeIntroEnd", true)
	engine.Scene:ZoomSnap(vector2(80, 90), 2)
	player.OverrideDashDirection = vector2(1, 0)
	setPlayerState(2)
	luaCutscenesUtils.TriggerFloatVariant("GameSpeed", 0.2, false)
	coroutine.yield(engine.Scene:ZoomAcross(vector2(160, 90), 1, 0.4))
	player.OverrideDashDirection = nil
	luaCutscenesUtils.TriggerFloatVariant("GameSpeed", 1, false)
	wait(0.3)
	setPlayerState(11)
	enableMovement()

	enablePause()

end

function onEnd(room, wasSkipped)
	setCameraOffset(1.5,0)
	enableMovement()
end